<?php
	require_once("config/connect.php");
	require_once("config/pageConfig.php");
	require_once("global_functions.php");
	
	check_login('', '', 'ENABLERKEY_ADMIN_KONFIGURATION');
	
	$kpTestop="";
	$kpConfVal=array();
	$kpQl=mysql_query("SELECT * FROM konfiguration");
	while($konvRow=mysql_fetch_array($kpQl)){

		$kpConfVal[$konvRow['name']]=$konvRow['wert'];
	}			

		$colNames = array();
		$resSel=mysql_query("SHOW COLUMNS FROM konfiguration");
	#	$resSelect="<select class='resolutionSelect'>
		$resSelect="<option value='' >Display Auflösung Auswählen</option>";
		while($resRow=mysql_fetch_assoc($resSel)){
			$colNames[] = $resRow['Field'];
		}
		foreach ($colNames as $fFields) { 
			if($fFields=='name' || $fFields=='Beschreibung' || $fFields=='default' || $fFields=='konfigtitel') continue;
			$optTxt="Display Auflösung ".$fFields;
			if($fFields == 'wert')$optTxt="Display Auflösung Standard Werte";
			$resSelect.="<option value = '".$fFields."'   >".$optTxt."</option>";			

		}
	#	$resSelect.="</select>";
	#	<option value='config_gastro_printer' onclick=\"displayConfigDiv(this.value, 'undefinedTarget')\" >Printer zuordnen</option>
	#									

		if(defined("LAENDERKENNUNG_DE")	&& strtolower(LAENDERKENNUNG_DE) == 'de'	){
			$signaturEinheitSeite="<option value='GDPdU_settings' 
										onclick=\"displayConfigDiv(this.value, 'undefinedTarget')\" >GDPdU Export Einstellungen</option>";
		}
		else {
			$signaturEinheitSeite="<option value='signatureUnitActivate' 
										onclick=\"displayConfigDiv(this.value, 'undefinedTarget')\" >Bon Signatur Funktionen</option>";
			
		}
		
		if(strtolower(GASTRO_VERSION) == 'ja') $raumtischLink="<option id='anlegen_raum' value='anlegen_raum'>Räume verwalten</option>
															<option id='tische_konfigurieren' value='tische_konfigurieren'>Tische verwalten</option>
															";
		else $raumtischLink="";
		if(strtolower(WARENKOERBE_ABLEGEN) == 'ja')$anlegnWkLink="<option id='anlegen_warenkoerbe' value='anlegen_warenkoerbe'>Warenkörbe verwalten</option>";
		else $anlegnWkLink="-----------------------";
		
		if(defined('MODUL_EMAIL') && strtolower(MODUL_EMAIL) == 'ja' && defined('BASIS_LIZENZ_VORHANDEN') 
				&& strtolower(BASIS_LIZENZ_VORHANDEN) == 'ja')$emailconfigOption="<option value='config_email' 
										onclick=\"displayConfigDiv(this.value, 'undefinedTarget')\" >eMail Konfiguration</option>";
		else $emailconfigOption="";
		$gutscheinconfigOption=false;
		$lieferscheinconfigOption=false;
		if(defined('GUTSCHEIN_LIZENZ') && strtolower(GUTSCHEIN_LIZENZ) == 'ja' && $_SESSION['userLevel'] >= ENABLERKEY_ADMIN_GUTSCHEINE ){
			$gutscheinconfigOption="<option value='config_gutschein' 
										onclick=\"displayConfigDiv(this.value, 'undefinedTarget')\" >Gutschein Einstellungen</option>";
		}
		if(defined('LIEFERSCHEIN_LIZENZ') && strtolower(LIEFERSCHEIN_LIZENZ) == 'ja' ){
			$lieferscheinconfigOption="<option value='config_lieferschein' onclick=\"displayConfigDiv(this.value, 'undefinedTarget')\" >Lieferschein Einstellungen</option>";
		}

		$tmpV=explode("x", DEFAULT_AUFLOESUNG);
		$optgroupH = ($tmpV[1] * .65) ."px;";

		
				
		$configList = "	<button id='saveConfigGuiBut' class='button button_config orange floatR' onclick='saveConfigLayout()'>Speichern</button>
					<select style='float:right' id='adminConfigSelectDatabaseColumn'  class='adminConfigSelect orange floatR' 
									onchange=\"(function(){ $('#selectedResolutionForConfig').val($('#adminConfigSelectDatabaseColumn option:selected').val());
																displayConfigDiv($('#currentConfigPage').val(), '')})(this)\">  
							".$resSelect."
					</select>

						<select style='float:right' id='adminConfigSelect' class='adminConfigSelect orange floatR' onChange=\"displayConfigDiv($('#adminConfigSelect option:selected').val(),'undefinedTarget');\">
							 <optgroup style='max-height:".$optgroupH."' >
								<option value='' >Konfigurationsthema auswählen</option>
								<option value='config_kassa_layout'>Kassa Bedienfeld</option>
								<option value='config_bon_print_layout'>Bon Ausdruck</option>						
								<option value='config_system'>System Einstellungen</option>
								<option value='config_gastro'>Gastro Einstellungen</option>
								".$lieferscheinconfigOption."
								".$gutscheinconfigOption."
								<option value='config_userlevel'>Benutzer Rechte</option>
								".$emailconfigOption."
								<option value='config_additonal_footertext'>Zusatz Texte</option>
								<option id='anlegen_drucker' value='anlegen_drucker' >Drucker verwalten</option>
								".$raumtischLink.$anlegnWkLink."
								<option value='config_lizenzen'>Lizenzen verwalten</option>
								".$signaturEinheitSeite."
								<option value='config_filialsystem'>Filialsystem Einstellungen</option>
								<option value='config_soma'>Preisgruppen Einstellungen</option>
								<option value='config_webshop' >Webshop Einstellungen</option>
								<option value='config_table' >DB Konfig Einstellungen</option>

							</optgroup>
						</select>
						<script>
						

						
						</script>
					<div class='cclear'></div>
					<input type='hidden' id='currentConfigPage'  />
					<input type='hidden' id='selectedResolutionForConfig' />";

			$configurationContent="<div id='config_kassa_layout' class='configContentDiv'></div>
									<div id='config_bon_print_layout' class='configContentDiv'></div>
									<div id='config_bon_print_list' class='configContentDiv'></div>
									<div  id='config_system' class='configContentDiv'></div>
									<div id='config_gastro' class='configContentDiv' ></div>
									<div id='config_email' class='configContentDiv' ></div>
									<div id='config_userlevel' class='configContentDiv' ></div>
									<div id='config_lieferschein' class='configContentDiv' ></div>
									<div id='config_gutschein' class='configContentDiv' ></div>
									<div id='config_additonal_footertext' class='configContentDiv' ></div>
									<div id='config_gastro_printer' class='configContentDiv' ></div>
									<div id='config_lizenzen' class='configContentDiv' ></div>
									<div id='config_filialsystem' class='configContentDiv' ></div>
									<div id='config_soma' class='configContentDiv' ></div>
									<div id='config_webshop' class='configContentDiv' ></div>
									<div id='signatureUnitActivate' class='configContentDiv' ></div>
									<div id='GDPdU_settings' class='configContentDiv' ></div>
									<div id='config_message' class='configContentDiv'></div>
									<div id='config_table' class='configContentDiv'></div>";
									
?>


<!DOCTYPE HTML>
<html>
	<head>
		<title>SITPOS Konfigurieren Gui</title>
		<?php echo META_DATA_ADMIN; ?>
		<style type="text/css">
			<?php include 'include/main.css'; ?>
			<?php include 'include/menue.css'; ?>
			
			
			#configActivateSignatureDiv p { color:#222; font-size:.85em; font-weight:normal;}
			.sigUnitActivitaDialogP{ margin:5px 0; padding:2px 0;			}
			.disabledButtonClass { cursor:default; color:#ccc;	text-shadow:1px 1px 4px #444; border-color:#c5c5c5;				}

		</style>
		<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.css">
		<script>
				
			$(function() {
				$("#adminConfigSelectDatabaseColumn option[value='<?php echo $default; ?>'] ").attr("selected", "selected");
					
			});
			
			function readSignaturCard(callFrom){
				if(callFrom == 'sigUnitEnable'){
					$("#readSigCardBut").prop( "disabled", true ).css({ "background":"silver", "border":"none"		});
					$("#cardReadResult").html('System liest Signatur Einheit, einen Moment Geduld.');
				}
				else if(callFrom == 'checkSigCard'){
					$("#cardReadResult").html("<p style='color:#666; font-style:italic; font-size:.9em;'>Karten Seriennummer wird gelesen.</p>");
				}
				$.ajax({
					type: "POST",
					url: "include/ajax_function_config.php",
					dataType : "html",
					data: {functionKey: "readCardData" },
					async: true,
					success:function(ajaxResponse){
						if(checkJSON(ajaxResponse) == true) {
							respArray=JSON.parse(ajaxResponse);
							opString=respArray[2];
							
							if(respArray[1] > 1000){
								if(callFrom == 'sigUnitEnable'){
									$("#cardReadResult").html(opString);
									$("#readSigCardBut").css({ "display":"none"			});
								}
								else if(callFrom == 'checkSigCard'){
									if(respArray[4] != false)cardMismatch=respArray[4];
									else cardMismatch="";
									$("#cardReadResult").html("<p>Karten Seriennummer: "+respArray[1]+", Hex Kodiert: "+respArray[3]+"</p>"+cardMismatch);
									//openGeneralDialog('readSigCardDialog', 'Signatur Karte ausgelesen', '<p>Karten Seriennummer: '+respArray[1]+'</p>', 'wrapper', false);
									//lert("Karten Seriennummer: "+respArray[1]);
								}
							}
							
							else{
								if(callFrom == 'sigUnitEnable'){
									$("#cardReadResult").html('Ungültige Seriennummer ausgelesen.<br /><br />Prüfen sie ob die Signatur Einheit anschlossen und die Karte gültig ist.');
									$("#readSigCardBut").prop( "disabled", false ).removeAttr( 'style' );
								}
								else if(callFrom == 'checkSigCard'){
									$("#cardReadResult").html("Ungültige Seriennummer ausgelesen.<br /><br />Prüfen sie ob die Signatur Einheit anschlossen und die Karte gültig ist.</p>");
								}
							}
						}
						else alert(ajaxResponse);
					}
				});			
	}
		
			

			
			function confirmSigData(zdaid, cardSerNo){
				
				$("#confirmSigBut").prop( "disabled", true ).css({ "background":"silver", "border":"none"		});
				kassenId=$("#startbelegKassenIdIpField").val();
			/*	if ( $("#firstBonNrSetAtSigActivate").length ){
					startBonNo=$("#firstBonNrSetAtSigActivate").val();
					startBonDialogTxt="<p class='sigUnitActivitaDialogP' >";
				}
				else {
					startBonNo=false;
					startBonDialogTxt="";
				}	*/
				if(kassenId.length > 1 && zdaid.length > 1 &&  cardSerNo > 1000){
					confirmData = new Array(zdaid, cardSerNo, kassenId); 
					cContent="<p class='sigUnitActivitaDialogP' >Durch bestätigen wird die Signatur Einheit mit folgenden Eingaben:</p><p class='sigUnitActivitaDialogP' >ZDA Id: "+zdaid+"</p><p class='sigUnitActivitaDialogP' >Serien Nr: "+cardSerNo+"</p><p class='sigUnitActivitaDialogP' >Kassen Id: "+kassenId+"</p><p class='sigUnitActivitaDialogP' > unwiderruflich aktiviert.</p>";
					openGeneralDialog('startbelegconfirm', 'Signatur Einheit aktivieren bestätigen', cContent, 'wrapper_admin', confirmData);
				}
				else{
						cContent="<p class='sigUnitActivitaDialogP' >Es ist ein Fehler aufgetreten, überprüfen Sie die Eingaben:</p><p class='sigUnitActivitaDialogP' >ZDA Id: "+zdaid+"</p><p class='sigUnitActivitaDialogP' >Serien Nr: "+cardSerNo+"</p><p class='sigUnitActivitaDialogP' >Kassen Id: "+kassenId+"</p>";
						openGeneralDialog('startbelegconfirm', 'Signatur Einheit aktivieren Fehler aufgetreten', cContent, 'wrapper_admin');
				}
				
				
			
			}
			
			
			function activateSigUnit(zdaid, cardSerNo, kassenId){

				$.ajax({
					type: "POST",
					url: "ajax_funktionen_kp.php",
					dataType : "html",
					data: {functionKey: "activateSignatureUnit", zdaid:zdaid, cardSerNo:cardSerNo, kassenId:kassenId  },
					async: true,
					success:function(ajaxResponse){
						if(checkJSON(ajaxResponse) == true) {
							respArray=JSON.parse(ajaxResponse);
						//	console.log("Ajax Response: "+respArray[0]+ " -- "+ respArray[1]+ " -- "+ respArray[2]);
							opString=respArray[0];
							
							if(respArray[1] == true){
								$("#cardReadResult").html(opString);
									//	$("#adminConfigSelect option[value='signatureUnitActivate']").css({ "display":"none"			});
							}
							
							else {
								$("#configActivateSignatureDiv").html("<h3>Fehler Aufgetreten</h3><p>"+opString+"</p><button onclick='reloadOnError()'>Zurück</button>");
							}
						}
						else{	alert(ajaxResponse);
							$("#configActivateSignatureDiv").html("<h3>Fehler Aufgetreten, kein Json Objekt</h3><p>"+ajaxResponse+"</p><button onclick='reloadOnError()'>Zurück</button>");
						}
					}
				});	
			
			
			}

		function reprintEnablesigunitStartbeleg(){
			$("#reprintStartbelgBut").prop("disabled", true).removeClass('orange').addClass('gGray disabledButtonClass');
			$.ajax({
				type: "POST",
				url: "ajax_funktionen_kp.php",
				dataType : "html",
				data: {	functionKey:'enablerStartBelegPrint', startbeleg_reprint:'reprint_startbeleg'		},
				async: true,
				success:function(ajaxResponse){
					//console.log("Enabler Starbelge Drucken response: "+ajaxResponse);	
					$("#cardReadResult").html("Startbeleg nachdruck.");
					setTimeout(function(){ 
						$("#cardReadResult").html(''); 
						$("#reprintStartbelgBut").prop("disabled", false).removeClass('gGray disabledButtonClass').addClass('orange');
					}, 5000);
				}
			});
		}
		
		function printSignatureData(){
			$("#printSigDataFromDb").prop("disabled", true).removeClass('orange').addClass('gGray disabledButtonClass');
			$.ajax({
				type: "POST",
				url: "ajax_funktionen_kp.php",
				dataType : "html",
				data: {	functionKey:'printSignatureData'		},
				async: true,
				success:function(ajaxResponse){
					//console.log("Print Signatur Daten Response: "+ajaxResponse);
					$("#cardReadResult").html("Signatur Daten drucken");	
					setTimeout(function(){ 
						$("#cardReadResult").html('');
						$("#printSigDataFromDb").prop("disabled", false).removeClass('gGray disabledButtonClass').addClass('orange');
					}, 5000);
				}
			});
		
		}
		
			
			
			
			
			function checkKassenIdString(ipStrg){
				if(ipStrg.indexOf('_') !== -1 || ipStrg.indexOf('.') !== -1 || ipStrg.indexOf(';') !== -1){
					modStrg=ipStrg.replace(/_|\.|\;/g, ""); 
					$("#startbelegKassenIdIpField").val(modStrg);
				}			
			}
			
			function checkJSON(checkIt){
				try{
					JSON.parse(checkIt);
					return true;
				}
				catch (error){
					return false;
				}
			}
			
			function reloadOnError(){
				startString="<h3>Bon Signatur aktivieren</h3><p style='width:60%; margin:5px 20% 25px 20%; display:block;'><button id='readSigCardBut' class='button_none_float orange readCardBut' onclick=\"readSignaturCard('sigUnitEnable')\">Signatur Einheit auslesen</button></p><div id='cardReadResult'></div>";
				$("#configActivateSignatureDiv").html(startString);
			
			}
					
		</script>
	</head>
	<body onload="displayConfigDiv('config_kassa_layout', '')" >
		<div id="wrapper_admin" class="wrapper_admin">
			<div id="generalDialog"  ></div>
			<div id="adminOperatorDiv"><?php echo $configList; ?></div>
			<?php	menue_anzeigen();		?>
			<div id="adminContent">
				<?php echo $configurationContent ?>
			
			</div>
			<div class="cclear"></div>
			<div id="responseMessageDiv"></div>	
			<!--<button onclick="location.href='anlegen_konfiguration.php'" class='button button_config_bottom orange floatR' >Detail Konfig.</button>-->
		</div>
		
	</body>
</html>	

























